Name:           python-lsprotocol
Version:        2023.0.0
Release:    1%{?dist}
Summary:        Python implementation of the Language Server Protocol

License:        MIT
URL:            https://pypi.org/project/lsprotocol/
Source0:         %{pypi_source lsprotocol}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
lsprotocol is a python implementation of object types used in the Language
Server Protocol (LSP).}

%description %_description

%package -n     python3-lsprotocol
Summary:        %{summary}

%description -n python3-lsprotocol %_description

%prep
%autosetup -p1 -n lsprotocol-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files lsprotocol

%check

%files -n python3-lsprotocol -f %{pyproject_files}

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2023.0.0-1
- initial build
